## WebKitRectangle WebKitRectangle — A boxed type representing a rectangle with integer coordinates |

## Types and Values

#define | WEBKIT_TYPE_RECTANGLE
| WebKitRectangle

## Object Hierarchy

        GBoxed
        ╰── WebKitRectangle

## Description

A WebKitRectangle is a boxed type representing a rectangle with integer coordiantes.

## Functions

## Types and Values

### WEBKIT_TYPE_RECTANGLE

    #define WEBKIT_TYPE_RECTANGLE (webkit_rectangle_get_type())

### WebKitRectangle

    typedef struct {
        gint x;
        gint y;
        gint width;
        gint height;
    } WebKitRectangle;

A WebKitRectangle is a boxed type representing a rectangle with integer coordinates.

#### Members

gint `x`; | The X coordinate of the top-left corner of the rectangle. |
gint `y`; | The Y coordinate of the top-left corner of the rectangle. |
gint `width`; | The width of the rectangle. |
gint `height`; | The height of the rectangle. |

Since: 2.28

## See Also

WebKitWebView.